Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration
Class Configuration

    java.lang.Object
      org.jbehave.core.configuration.Configuration

Direct Known Subclasses:
  MostUsefulConfiguration, UnmodifiableConfiguration

    public abstract class Configuration

extends Object

Provides the configuration used by the `Embedder` and the in the `Embeddable` implementations to customise its runtime properties.

Configuration implements a Builder pattern so that each element of the configuration can be specified individually, and read well. All elements have default values, which can be overridden by the "use" methods. The "use" methods allow to override the dependencies one by one and play nicer with a Java hierarchical structure, in that does allow the use of non-static member variables.

Constructor Summary
`Configuration()`

Method Summary
`StoryReporter` | `defaultStoryReporter()` Deprecated. Use `StoryReporterBuilder`
`Configuration` | `doDryRun(Boolean dryRun)`
`boolean` | `dryRun()`
`FailureStrategy` | `failureStrategy()`
`Keywords` | `keywords()`
`ParameterControls` | `parameterControls()`
`ParameterConverters` | `parameterConverters()`
`com.thoughtworks.paranamer.Paranamer` | `paranamer()`
`PathCalculator` | `pathCalculator()`
`PendingStepStrategy` | `pendingStepStrategy()`
`StepCollector` | `stepCollector()`
`StepdocReporter` | `stepdocReporter()`
`StepFinder` | `stepFinder()`
`StepMonitor` | `stepMonitor()`
`StepPatternParser` | `stepPatternParser()`
`StoryControls` | `storyControls()`
`StoryLoader` | `storyLoader()`
`StoryParser` | `storyParser()`
`StoryPathResolver` | `storyPathResolver()`
`StoryReporter` | `storyReporter(String storyPath)`
`StoryReporterBuilder` | `storyReporterBuilder()`
`Configuration` | `useDefaultStoryReporter(StoryReporter storyReporter)`
`Configuration` | `useFailureStrategy(FailureStrategy failureStrategy)`
`Configuration` | `useKeywords(Keywords keywords)`
`Configuration` | `useParameterControls(ParameterControls parameterControls)`
`Configuration` | `useParameterConverters(ParameterConverters parameterConverters)`
`Configuration` | `useParanamer(com.thoughtworks.paranamer.Paranamer paranamer)`
`Configuration` | `usePathCalculator(PathCalculator pathCalculator)`
`Configuration` | `usePendingStepStrategy(PendingStepStrategy pendingStepStrategy)`
`Configuration` | `useStepCollector(StepCollector stepCollector)`
`Configuration` | `useStepdocReporter(StepdocReporter stepdocReporter)`
`Configuration` | `useStepFinder(StepFinder stepFinder)`
`Configuration` | `useStepMonitor(StepMonitor stepMonitor)`
`Configuration` | `useStepPatternParser(StepPatternParser stepPatternParser)`
`Configuration` | `useStoryControls(StoryControls storyControls)`
`Configuration` | `useStoryLoader(StoryLoader storyLoader)`
`Configuration` | `useStoryParser(StoryParser storyParser)`
`Configuration` | `useStoryPathResolver(StoryPathResolver storyPathResolver)`
`Configuration` | `useStoryReporterBuilder(StoryReporterBuilder storyReporterBuilder)`
`Configuration` | `useViewGenerator(ViewGenerator viewGenerator)`
`ViewGenerator` | `viewGenerator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### keywords

    public Keywords keywords()

### dryRun

    public boolean dryRun()

### storyControls

    public StoryControls storyControls()

### storyParser

    public StoryParser storyParser()

### storyLoader

    public StoryLoader storyLoader()

### storyPathResolver

    public StoryPathResolver storyPathResolver()

### failureStrategy

    public FailureStrategy failureStrategy()

### pendingStepStrategy

    public PendingStepStrategy pendingStepStrategy()

### defaultStoryReporter

    public StoryReporter defaultStoryReporter()

  Deprecated. Use `StoryReporterBuilder`

### storyReporter

    public StoryReporter storyReporter(String storyPath)

### storyReporterBuilder

    public StoryReporterBuilder storyReporterBuilder()

### stepCollector

    public StepCollector stepCollector()

### stepFinder

    public StepFinder stepFinder()

### stepdocReporter

    public StepdocReporter stepdocReporter()

### stepPatternParser

    public StepPatternParser stepPatternParser()

### parameterControls

    public ParameterControls parameterControls()

### stepMonitor

    public StepMonitor stepMonitor()

### paranamer

    public com.thoughtworks.paranamer.Paranamer paranamer()

### parameterConverters

    public ParameterConverters parameterConverters()

### viewGenerator

    public ViewGenerator viewGenerator()

### pathCalculator

    public PathCalculator pathCalculator()

### useKeywords

    public Configuration useKeywords(Keywords keywords)

### doDryRun

    public Configuration doDryRun(Boolean dryRun)

### useStoryControls

    public Configuration useStoryControls(StoryControls storyControls)

### usePendingStepStrategy

    public Configuration usePendingStepStrategy(PendingStepStrategy pendingStepStrategy)

### useFailureStrategy

    public Configuration useFailureStrategy(FailureStrategy failureStrategy)

### useStoryParser

    public Configuration useStoryParser(StoryParser storyParser)

### useStoryLoader

    public Configuration useStoryLoader(StoryLoader storyLoader)

### useStoryPathResolver

    public Configuration useStoryPathResolver(StoryPathResolver storyPathResolver)

### useDefaultStoryReporter

    public Configuration useDefaultStoryReporter(StoryReporter storyReporter)

### useStoryReporterBuilder

    public Configuration useStoryReporterBuilder(StoryReporterBuilder storyReporterBuilder)

### useStepCollector

    public Configuration useStepCollector(StepCollector stepCollector)

### useStepFinder

    public Configuration useStepFinder(StepFinder stepFinder)

### useStepdocReporter

    public Configuration useStepdocReporter(StepdocReporter stepdocReporter)

### useStepPatternParser

    public Configuration useStepPatternParser(StepPatternParser stepPatternParser)

### useParameterControls

    public Configuration useParameterControls(ParameterControls parameterControls)

### useStepMonitor

    public Configuration useStepMonitor(StepMonitor stepMonitor)

### useParanamer

    public Configuration useParanamer(com.thoughtworks.paranamer.Paranamer paranamer)

### useParameterConverters

    public Configuration useParameterConverters(ParameterConverters parameterConverters)

### useViewGenerator

    public Configuration useViewGenerator(ViewGenerator viewGenerator)

### usePathCalculator

    public Configuration usePathCalculator(PathCalculator pathCalculator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.